BillView

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.servlets.sysmanager
Class BillView

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.fenalco.servlets.sysmanager.BillView

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class BillView

extends javax.servlet.http.HttpServlet

Version:
Author:
  andres
See Also:
  Serialized Form

Constructor Summary
`BillView()`

Method Summary
`void` | `destroy()` Destruye el servlet.
`protected void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Maneja el mètodo HTTP `GET`
`protected void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Maneja el mètodo HTTP `POST`
`java.lang.String` | `getServletInfo()` Retorna una corta descripciòn del servlet.
`void` | `init(javax.servlet.ServletConfig config)` Inicializa el servlet.
`protected void` | `processRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Procesa las peticiones de los mètodos HTTP `GET` y `POST`.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BillView

    public BillView()

Method Detail

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Inicializa el servlet.

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Destruye el servlet.

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`
  Overrides:
    `destroy` in class `javax.servlet.GenericServlet`

### processRequest

    protected void processRequest(javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response)
                           throws javax.servlet.ServletException,
                                  java.io.IOException

  Procesa las peticiones de los mètodos HTTP `GET` y `POST`. Recibe del request un id de una factura (billId) -Crea un objeto de tipo `Bill` con el id que recibió -Envía el objeto en el request -Redirecciona a una pop-up (descargarfactura.jsp)

  Parameters:
    `request` - peticiòn al servlet
    `response` - respuesta del servlet
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response)
                  throws javax.servlet.ServletException,
                         java.io.IOException

  Maneja el mètodo HTTP `GET`

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` - peticiòn al servlet
    `response` - respuesta del servlet
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### doPost

    protected void doPost(javax.servlet.http.HttpServletRequest request,
                          javax.servlet.http.HttpServletResponse response)
                   throws javax.servlet.ServletException,
                          java.io.IOException

  Maneja el mètodo HTTP `POST`

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` - peticiòn al servlet
    `response` - respuesta del servlet
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### getServletInfo

    public java.lang.String getServletInfo()

  Retorna una corta descripciòn del servlet.

  Specified by:
    `getServletInfo` in interface `javax.servlet.Servlet`
  Overrides:
    `getServletInfo` in class `javax.servlet.GenericServlet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD